classification
Title: Formatting of True/False/None in docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Arfrever, docs@python, fdrake, haypo, python-dev, serhiy.storchaka, zach.ware
Priority: normal Keywords: patch

Created on 2013-11-26 09:18 by serhiy.storchaka, last changed 2016-12-02 21:23 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
doc_truefalse.patch serhiy.storchaka, 2013-11-26 09:18 review
doc_none.patch serhiy.storchaka, 2013-11-29 10:46 review
doc_none2.patch serhiy.storchaka, 2016-09-25 14:38 review
doc_none3-3.6.patch serhiy.storchaka, 2016-10-18 11:53 Patch for 3.6 and 3.7 review
doc_none3-3.5.patch serhiy.storchaka, 2016-10-18 11:54 Patch for 3.5 review
Messages (17)
msg204463 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-26 09:18
The proposed patch improves formatting of True/False in the documentation. "True" becomes "``True``" if it means True constant and "true" if it means true value (in input arguments).

See also issue19793 and issue19794.
msg204712 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-29 10:22
New changeset f51ca196d77a by Serhiy Storchaka in branch '2.7':
Issue #19795: Improved markup of True/False constants.
http://hg.python.org/cpython/rev/f51ca196d77a

New changeset b2066bc8cab9 by Serhiy Storchaka in branch '3.3':
Issue #19795: Improved markup of True/False constants.
http://hg.python.org/cpython/rev/b2066bc8cab9

New changeset 6a3e09cd96f3 by Serhiy Storchaka in branch 'default':
Issue #19795: Improved markup of True/False constants.
http://hg.python.org/cpython/rev/6a3e09cd96f3
msg204715 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-29 10:46
Thank you Georg for your help.

Here is a patch which fixes markups for the None constant. It is more unequivocal.
msg204756 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2013-11-29 21:26
> New changeset b2066bc8cab9 by Serhiy Storchaka in branch '3.3':
> Issue #19795: Improved markup of True/False constants.
> http://hg.python.org/cpython/rev/b2066bc8cab9

Accidental, unrelated changes in Doc/library/importlib.rst (and with conflict marker).
msg204758 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-29 21:43
New changeset 9d0dc3d7bf01 by Serhiy Storchaka in branch '3.3':
Revert unrelated changes introduced by changeset b2066bc8cab9  (issue #19795).
http://hg.python.org/cpython/rev/9d0dc3d7bf01
msg204759 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-29 21:44
Thank you Arfrever.
msg277380 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-09-25 14:38
Only the first patch was committed. The patch for None is not reviewed yet.

Here is updated patch.
msg278973 - (view) Author: Roundup Robot (python-dev) Date: 2016-10-19 13:46
New changeset cef2373f31bb by Serhiy Storchaka in branch '2.7':
Issue #19795: Mark up None as literal text.
https://hg.python.org/cpython/rev/cef2373f31bb

New changeset a8d5b433bb36 by Serhiy Storchaka in branch '3.5':
Issue #19795: Mark up None as literal text.
https://hg.python.org/cpython/rev/a8d5b433bb36

New changeset 2e97ed8e7e3c by Serhiy Storchaka in branch '3.6':
Issue #19795: Mark up None as literal text.
https://hg.python.org/cpython/rev/2e97ed8e7e3c

New changeset 5f997b3cb59c by Serhiy Storchaka in branch 'default':
Issue #19795: Mark up None as literal text.
https://hg.python.org/cpython/rev/5f997b3cb59c

New changeset b7df6c09ddf9 by Serhiy Storchaka in branch '2.7':
Issue #19795: Mark up True and False as literal text instead of bold.
https://hg.python.org/cpython/rev/b7df6c09ddf9

New changeset 477a82ec81fc by Serhiy Storchaka in branch '3.5':
Issue #19795: Mark up True and False as literal text instead of bold.
https://hg.python.org/cpython/rev/477a82ec81fc

New changeset 91992ea3c6b1 by Serhiy Storchaka in branch '3.6':
Issue #19795: Mark up True and False as literal text instead of bold.
https://hg.python.org/cpython/rev/91992ea3c6b1

New changeset 8cc9ad294ea9 by Serhiy Storchaka in branch 'default':
Issue #19795: Mark up True and False as literal text instead of bold.
https://hg.python.org/cpython/rev/8cc9ad294ea9
msg278975 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2016-10-19 14:30
The "Docs" bot doesn't like your change:

http://buildbot.python.org/all/builders/Docs%203.x/builds/2673/steps/suspicious/logs/stdio


WARNING: [whatsnew/3.1:549] "`" found in "``False``"


WARNING: [whatsnew/3.4:163] "`" found in "to ``None`"
WARNING: [whatsnew/3.4:163] "`" found in " during finalization <whatsnew-pep-442>` ("
/buildbot/buildarea/3.x.ware-docs/build/Doc/whatsnew/3.4.rst:163: WARNING: undefined label: module globals are no longer set to ``none` (if the link has no caption the label must precede a section header)

Extract of the change:

-  protocol 3.  Another solution is to set the *fix_imports* option to **False**.
+  protocol 3.  Another solution is to set the *fix_imports* option to *``False``*.


I guess that it should ``False`` without star?
msg278977 - (view) Author: Roundup Robot (python-dev) Date: 2016-10-19 15:13
New changeset 9ef78351d2e9 by Serhiy Storchaka in branch '3.5':
Issue #19795: Fixed markup errors.
https://hg.python.org/cpython/rev/9ef78351d2e9

New changeset 6c8a26e60728 by Serhiy Storchaka in branch '3.6':
Issue #19795: Fixed markup errors.
https://hg.python.org/cpython/rev/6c8a26e60728

New changeset 2127ef3b7660 by Serhiy Storchaka in branch 'default':
Issue #19795: Fixed markup errors.
https://hg.python.org/cpython/rev/2127ef3b7660
msg278978 - (view) Author: Fred L. Drake, Jr. (fdrake) (Python committer) Date: 2016-10-19 15:13
Without the star would be right.  ReST does not support nested markup, and in this case, I don't think it would make sense anyway.
msg278979 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2016-10-19 15:28
Thanks, "build #1563 of Docs 3.5 is complete: Success [build successful]": the bot is happy again ;-)
msg278980 - (view) Author: Roundup Robot (python-dev) Date: 2016-10-19 15:38
New changeset e4aa34a7ca53 by Serhiy Storchaka in branch '3.5':
Issue #19795: Improved more markups of True/False.
https://hg.python.org/cpython/rev/e4aa34a7ca53

New changeset dd7e48e3e5b0 by Serhiy Storchaka in branch '2.7':
Issue #19795: Improved more markups of True/False.
https://hg.python.org/cpython/rev/dd7e48e3e5b0

New changeset 7b143d6834cf by Serhiy Storchaka in branch '3.6':
Issue #19795: Improved more markups of True/False.
https://hg.python.org/cpython/rev/7b143d6834cf

New changeset 9fc0f20ea7de by Serhiy Storchaka in branch 'default':
Issue #19795: Improved more markups of True/False.
https://hg.python.org/cpython/rev/9fc0f20ea7de
msg278981 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-10-19 15:38
Thank you for noticing this Victor.
msg278982 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-10-19 15:46
There's also an issue with a table in Doc/library/logging.rst, see http://buildbot.python.org/all/builders/Docs%203.x/builds/2675/steps/docbuild/logs/stdio

I'm not sure why that doesn't cause the build to fail, though, it's marked as an error.
msg278986 - (view) Author: Roundup Robot (python-dev) Date: 2016-10-19 16:40
New changeset c445746d0846 by Serhiy Storchaka in branch '3.5':
Issue #19795: Fixed formatting a table.
https://hg.python.org/cpython/rev/c445746d0846

New changeset 3b554c9ea1c4 by Serhiy Storchaka in branch '3.6':
Issue #19795: Fixed formatting a table.
https://hg.python.org/cpython/rev/3b554c9ea1c4

New changeset 884c9d9159dc by Serhiy Storchaka in branch 'default':
Issue #19795: Fixed formatting a table.
https://hg.python.org/cpython/rev/884c9d9159dc

New changeset ddf32a646457 by Serhiy Storchaka in branch '2.7':
Issue #19795: Fixed formatting a table.
https://hg.python.org/cpython/rev/ddf32a646457
msg278987 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-10-19 16:52
Thanks Zachary.
History
Date User Action Args
2016-12-02 21:23:29serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-10-19 16:52:50serhiy.storchakasetmessages: + msg278987
2016-10-19 16:40:11python-devsetmessages: + msg278986
2016-10-19 15:46:44zach.waresetnosy: + zach.ware
messages: + msg278982
2016-10-19 15:38:46serhiy.storchakasetmessages: + msg278981
2016-10-19 15:38:10python-devsetmessages: + msg278980
2016-10-19 15:28:44hayposetmessages: + msg278979
2016-10-19 15:13:37fdrakesetnosy: + fdrake
messages: + msg278978
2016-10-19 15:13:14python-devsetmessages: + msg278977
2016-10-19 14:30:08hayposetnosy: + haypo
messages: + msg278975
2016-10-19 13:46:13python-devsetmessages: + msg278973
2016-10-18 11:54:03serhiy.storchakasetfiles: + doc_none3-3.5.patch
2016-10-18 11:53:35serhiy.storchakasetfiles: + doc_none3-3.6.patch
2016-09-25 14:38:47serhiy.storchakasetstatus: closed -> open
files: + doc_none2.patch

title: Formatting of True/False in docs -> Formatting of True/False/None in docs
resolution: fixed -> (no value)
versions: + Python 3.5, Python 3.6, Python 3.7, - Python 3.3, Python 3.4
messages: + msg277380
stage: resolved -> patch review
2016-09-25 13:13:42christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-11-29 21:44:19serhiy.storchakasetmessages: + msg204759
2013-11-29 21:43:22python-devsetmessages: + msg204758
2013-11-29 21:26:30Arfreversetnosy: + Arfrever
messages: + msg204756
2013-11-29 10:46:27serhiy.storchakasetfiles: + doc_none.patch

messages: + msg204715
2013-11-29 10:22:57python-devsetnosy: + python-dev
messages: + msg204712
2013-11-26 09:18:45serhiy.storchakacreate